Subject: bug#21372: [PATCH v4] df: fix prioritize real mounts over bind mounts

From: Pádraig Brady <[email-masked]>
Date: Tue, 22 Sep 2015 23:47:47 +0100

On 22/09/15 23:28, Dave Chiluk wrote:
> The patch I just sent out broke existing behavior on non-linux again.
> I'm really beginning to hate that if statement.  Anyhow, I fixed that,
> and changed it around for readability.

   bool target_nearer_device_root = ! (devlist->me->me_mntroot != NULL
                                       && me->me_mntroot != NULL
                                       && (strlen (devlist->me->me_mntroot)
                                           < strlen(me->me_mntroot)));

While this is logically correct it's confusing
as mntroot is related to the source, not the target.
Also the >= implicit in the !< conflicts with "nearer",
where "as_near_or_nearer" would be more accurate.
That's why I kept the ! outside of the boolean.

I'll go with my orig naming unless there are major objections.

thanks,
Pádraig.